/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: BundleInfoResult.java 20762 2011-01-21 13:40:10Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.osgi.bundle;

import java.util.ArrayList;
import java.util.List;

public class BundleInfoResult {
    private boolean changed;

    private List<BundleInfo> bundlelist;

    public BundleInfoResult() {
        changed = false;
        bundlelist = new ArrayList<BundleInfo>();
    }

    public boolean isChanged() {
        return changed;
    }

    public void setChanged(final boolean changed) {
        this.changed = changed;
    }

    public List<BundleInfo> getBundlelist() {
        return bundlelist;
    }

    public void setBundlelist(final List<BundleInfo> bundlelist) {
        this.bundlelist = bundlelist;
    }
}
